メインコンテンツへスキップ
GET
/
crm
/
v3
/
pipelines
/
{objectType}
/
{pipelineId}
IDを基準にパイプラインを返す
curl --request GET \
  --url https://api.hubapi.com/crm/v3/pipelines/{objectType}/{pipelineId} \
  --header 'Authorization: Bearer <token>'
{
  "archived": false,
  "createdAt": "2019-10-30T03:30:17.883Z",
  "displayOrder": 0,
  "id": "812723471",
  "label": "My ticket pipeline",
  "stages": [
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "displayOrder": 0,
      "id": "1234912",
      "label": "In Progress",
      "metadata": {
        "ticketState": "OPEN"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    },
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "displayOrder": 0,
      "id": "1234914",
      "label": "Done",
      "metadata": {
        "ticketState": "CLOSED"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    }
  ],
  "updatedAt": "2019-12-07T16:50:06.678Z"
}

サポートされる製品

次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing Hub -無料ツール
Sales HubSales Hub -無料ツール
Service HubService Hub -無料ツール
Content HubContent Hub -無料ツール

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectType
string
必須

取得するパイプラインのオブジェクトタイプ(例:取引やチケット)

pipelineId
string
必須

取得するパイプラインの固有ID。

レスポンス

successful operation

A pipeline definition.

archived
boolean
必須

パイプラインがアーカイブされているかどうか。

createdAt
string<date-time>
必須

パイプラインステージが作成された日付。デフォルトのパイプラインのステージではcreatedAt = 0になります。

displayOrder
integer<int32>
必須

このパイプラインステージを表示する順序。2つのパイプラインステージの「displayOrder」が同じ場合、ラベルのアルファベット順に並べ替えられます。

id
string
必須

HubSpotによって生成される固有ID。パイプラインステージの取得や更新に使用されます。

label
string
必須

HubSpotのUIでパイプラインステージを整理するために使用されるラベル。各パイプラインステージのラベルはそのパイプライン内で固有である必要があります。

stages
object[]
必須

パイプラインに関連付けられたステージ。これは、パイプライン ステージ エンドポイントで取得して更新できます。

updatedAt
string<date-time>
必須

パイプラインステージが最後に更新された日付。

archivedAt
string<date-time>

パイプラインがアーカイブされた日付。「archivedAt」はパイプラインがアーカイブされている場合にのみ存在します。

Last modified on February 12, 2026